View Issue Details

IDProjectCategoryView StatusLast Update
0003517Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.7.0.227 
Target VersionFixed in Version6.7.0.244 
Summary0003517: HRDRepair, HRDRepairApp should be removed from build, project
DescriptionThe project include HRDRepairApp.EXE, which we don't document or ship. That program is dependent on HRDRepair.DLL, which we do inexplicably ship. Seems like they were involved in "securing" client installations after the license was verified.

These two projects don't serve any purpose in modern builds and should be removed from setup and the product build.
Steps To Reproduce1) Install the product
2) Open the the "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe" directory
3) HRDRepair.DLL is there. Nothing uses it.
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing Beta Successful

Activities

K7ZCZ

2019-10-26 12:56

administrator   ~0009023

removed in these change sets
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5238
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5237

WA9PIE

2019-10-29 16:38

administrator   ~0009088

Accepted as validated

Issue History

Date Modified Username Field Change
2019-10-25 04:05 K7ZCZ New Issue
2019-10-26 12:56 K7ZCZ Assigned To => K7ZCZ
2019-10-26 12:56 K7ZCZ Status new => resolved
2019-10-26 12:56 K7ZCZ Resolution open => fixed
2019-10-26 12:56 K7ZCZ Note Added: 0009023
2019-10-29 15:51 K7ZCZ Fixed in Version => 6.7.0.239
2019-10-29 16:38 WA9PIE Status resolved => closed
2019-10-29 16:38 WA9PIE Description Updated View Revisions
2019-10-29 16:38 WA9PIE Steps to Reproduce Updated View Revisions
2019-10-29 16:38 WA9PIE Testing Not Started => Beta Successful
2019-10-29 16:38 WA9PIE Note Added: 0009088
2019-11-08 02:10 WA9PIE Fixed in Version 6.7.0.239 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe